Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script.xml
Class XStreamContainerBuilderTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.jmock.core.VerifyingTestCase
                  org.jmock.core.MockObjectSupportTestCase
                      org.jmock.MockObjectTestCase
                          org.nanocontainer.script.AbstractScriptedContainerBuilderTestCase
                              org.nanocontainer.script.xml.XStreamContainerBuilderTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class XStreamContainerBuilderTestCase

extends AbstractScriptedContainerBuilderTestCase

Field Summary

Fields inherited from class org.jmock.core.MockObjectSupportTestCase
`ANYTHING, NOT_NULL, NULL`

Constructor Summary
`XStreamContainerBuilderTestCase()`

Method Summary
`void` | `testComponentAdapterInjection()`
`void` | `testContainerBuilding()`
`void` | `testDefaultContsructorRegistration()`
`void` | `testInstantiationOfComponentsWithInstancesOfSameComponent()`
`void` | `testThatDependencyUsesClassAsKey()`

Methods inherited from class org.nanocontainer.script.AbstractScriptedContainerBuilderTestCase
`buildContainer`

Methods inherited from class org.jmock.MockObjectTestCase
`atLeastOnce, atMostOnce, defaultMockNameForType, doAll, doAll, doAll, doAll, exactly, mock, mock, never, never, newCoreMock, newDummy, newDummy, newDummy, once, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, returnIterator, returnIterator, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, throwException`

Methods inherited from class org.jmock.core.MockObjectSupportTestCase
`and, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, collectionContaining, collectionContaining, compatibleType, contains, endsWith, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, hasProperty, hasProperty, isA, isIn, isIn, mapContaining, mapContaining, mapWithKey, mapWithKey, mapWithValue, mapWithValue, not, or, same, startsWith, stringContains, toString`

Methods inherited from class org.jmock.core.VerifyingTestCase
`registerToVerify, runBare, unregisterToVerify, verify`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XStreamContainerBuilderTestCase

    public XStreamContainerBuilderTestCase()

Method Detail

### testContainerBuilding

    public void testContainerBuilding()

### testComponentAdapterInjection

    public void testComponentAdapterInjection()
                                       throws Throwable

  Throws:
    `Throwable`

### testInstantiationOfComponentsWithInstancesOfSameComponent

    public void testInstantiationOfComponentsWithInstancesOfSameComponent()
                                                                   throws Exception

  Throws:
    `Exception`

### testThatDependencyUsesClassAsKey

    public void testThatDependencyUsesClassAsKey()

### testDefaultContsructorRegistration

    public void testDefaultContsructorRegistration()
                                            throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.